Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.tibco.bpm.web.client.services.actions.businessservices
Class QueryCategories

    java.lang.Object
      com.tibco.bpm.web.client.services.actions.businessservices.QueryCategories

All Implemented Interfaces:
  com.google.gwt.user.client.rpc.IsSerializable, OSAction<QueryCategoriesResult>, net.customware.gwt.dispatch.shared.Action<QueryCategoriesResult>

    public class QueryCategories

extends java.lang.Object
implements OSAction<QueryCategoriesResult>

Returns a list of Business Categories based on the category and channelId.

Since:
  2.0

Constructor Summary
`QueryCategories(java.lang.String category, java.lang.String channelId, boolean includeFormalParameters)`

Method Summary
`java.lang.String` | `getCategory()` TODO Describe this method
`java.lang.String` | `getChannelId()` TODO Describe this method
`boolean` | `isIncludeFormalParameters()` TODO Describe this method

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### QueryCategories

    public QueryCategories(java.lang.String category,
                           java.lang.String channelId,
                           boolean includeFormalParameters)

Method Detail

### getCategory

    public java.lang.String getCategory()

  TODO Describe this method

  Returns:
    Returns the category.

### getChannelId

    public java.lang.String getChannelId()

  TODO Describe this method

  Returns:
    Returns the channelId.

### isIncludeFormalParameters

    public boolean isIncludeFormalParameters()

  TODO Describe this method

  Returns:
    Returns the includeFormalParameters.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2015 TIBCO Software Inc. All Rights Reserved.